#!/bin/bash

# This is main script for handling dehydrated hook scripts.
# Please do not edit this file! It will be overwritten by package updates!

# Directory with per certificate hook scripts called after
# certificate is successfully deployed
HOOKS_D="/etc/dehydrated/hooks.d"

# Load system fucntions
. "/etc/dehydrated/hooks/functions"
# Load custom fucntions
. "/etc/dehydrated/hooks/custom_functions"

HANDLER="${1}"
shift
case "${HANDLER}" in
deploy_cert)
  deploy_cert "$@"
  custom_deploy_cert "$@"
  ;;
clean_challenge)
  clean_challenge "$@"
  custom_clean_challenge "$@"
  ;;
deploy_challenge)
  deploy_challenge "$@"
  custom_deploy_challenge "$@"
  ;;
invalid_challenge)
  invalid_challenge "$@"
  custom_invalid_challenge "$@"
  ;;
request_failure)
  request_failure "$@"
  custom_request_failure "$@"
  ;;
unchanged_cert)
  unchanged_cert "$@"
  custom_unchanged_cert "$@"
  ;;
startup_hook)
  startup_hook "$@"
  custom_startup_hook "$@"
  ;;
exit_hook)
  exit_hook "$@"
  custom_exit_hook "$@"
  ;;
esac
